diff -u -r -N squid-6.2/acinclude/os-deps.m4 squid-6.3/acinclude/os-deps.m4
--- squid-6.2/acinclude/os-deps.m4	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/acinclude/os-deps.m4	2023-09-03 18:17:45.000000000 +1200
@@ -251,7 +251,7 @@
 AS_IF([ test "$squid_filedescriptors_num" -lt 512 ],[
   AC_MSG_WARN([$squid_filedescriptors_num may not be enough filedescriptors if your])
   AC_MSG_WARN([cache will be very busy.  Please see the FAQ page])
-  AC_MSG_WARN([http://wiki.squid-cache.org/SquidFaq/TroubleShooting])
+  AC_MSG_WARN([https://wiki.squid-cache.org/SquidFaq/TroubleShooting])
   AC_MSG_WARN([on how to increase your filedescriptor limit])
 ])
 AC_DEFINE_UNQUOTED(SQUID_MAXFD,$squid_filedescriptors_num,[Maximum number of open filedescriptors])
diff -u -r -N squid-6.2/cfgaux/ltmain.sh squid-6.3/cfgaux/ltmain.sh
--- squid-6.2/cfgaux/ltmain.sh	2023-08-07 07:35:13.000000000 +1200
+++ squid-6.3/cfgaux/ltmain.sh	2023-09-03 20:33:27.000000000 +1200
@@ -31,7 +31,7 @@
 
 PROGRAM=libtool
 PACKAGE=libtool
-VERSION="2.4.7 Debian-2.4.7-6"
+VERSION="2.4.7 Debian-2.4.7-7"
 package_revision=2.4.7
 
 
@@ -2296,7 +2296,7 @@
        compiler:       $LTCC
        compiler flags: $LTCFLAGS
        linker:         $LD (gnu? $with_gnu_ld)
-       version:        $progname $scriptversion Debian-2.4.7-6
+       version:        $progname $scriptversion Debian-2.4.7-7
        automake:       `($AUTOMAKE --version) 2>/dev/null |$SED 1q`
        autoconf:       `($AUTOCONF --version) 2>/dev/null |$SED 1q`
 
diff -u -r -N squid-6.2/ChangeLog squid-6.3/ChangeLog
--- squid-6.2/ChangeLog	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/ChangeLog	2023-09-03 18:17:45.000000000 +1200
@@ -1,3 +1,12 @@
+Changes in squid-6.3 (03 Sep 2023):
+
+	- Bug 5294: ERR_CANNOT_FORWARD returned instead of ERR_DNS_FAIL
+	- Bug 4981: Work around in-call job invalidation bugs
+	- basic_smb_lm_auth: fix 'no previous declaration' warnings
+	- CacheManager: require /squid-internal-mgr/ URL path prefix
+	- ESI: Fix build [-Wsingle-bit-bitfield-constant-conversion]
+	- ... and some documentation changes
+
 Changes in squid-6.2 (06 Aug 2023):
 
 	- Bug 5187: Work around REQMOD satisfaction regression
diff -u -r -N squid-6.2/configure squid-6.3/configure
--- squid-6.2/configure	2023-08-07 07:35:20.000000000 +1200
+++ squid-6.3/configure	2023-09-03 20:33:34.000000000 +1200
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.ac Revision.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.71 for Squid Web Proxy 6.2.
+# Generated by GNU Autoconf 2.71 for Squid Web Proxy 6.3.
 #
 # Report bugs to <https://bugs.squid-cache.org/>.
 #
@@ -626,8 +626,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='6.2'
-PACKAGE_STRING='Squid Web Proxy 6.2'
+PACKAGE_VERSION='6.3'
+PACKAGE_STRING='Squid Web Proxy 6.3'
 PACKAGE_BUGREPORT='https://bugs.squid-cache.org/'
 PACKAGE_URL=''
 
@@ -1696,7 +1696,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 6.2 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 6.3 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1767,7 +1767,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 6.2:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 6.3:";;
    esac
   cat <<\_ACEOF
 
@@ -1847,7 +1847,7 @@
   --disable-htcp          Disable HTCP protocol support
   --enable-forw-via-db    Enable Forw/Via database
   --enable-cache-digests  Use Cache Digests. See
-                          http://wiki.squid-cache.org/SquidFaq/CacheDigests
+                          https://wiki.squid-cache.org/SquidFaq/CacheDigests
   --disable-select        Disable select(2) support.
   --disable-poll          Disable poll(2) support.
   --disable-kqueue        Disable kqueue(2) support.
@@ -2187,7 +2187,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 6.2
+Squid Web Proxy configure 6.3
 generated by GNU Autoconf 2.71
 
 Copyright (C) 2021 Free Software Foundation, Inc.
@@ -3200,7 +3200,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 6.2, which was
+It was created by Squid Web Proxy $as_me 6.3, which was
 generated by GNU Autoconf 2.71.  Invocation command line was
 
   $ $0$ac_configure_args_raw
@@ -4692,7 +4692,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='6.2'
+ VERSION='6.3'
 
 
 printf "%s\n" "#define PACKAGE \"$PACKAGE\"" >>confdefs.h
@@ -52594,8 +52594,8 @@
 printf "%s\n" "$as_me: WARNING: $squid_filedescriptors_num may not be enough filedescriptors if your" >&2;}
   { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: cache will be very busy.  Please see the FAQ page" >&5
 printf "%s\n" "$as_me: WARNING: cache will be very busy.  Please see the FAQ page" >&2;}
-  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: http://wiki.squid-cache.org/SquidFaq/TroubleShooting" >&5
-printf "%s\n" "$as_me: WARNING: http://wiki.squid-cache.org/SquidFaq/TroubleShooting" >&2;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: https://wiki.squid-cache.org/SquidFaq/TroubleShooting" >&5
+printf "%s\n" "$as_me: WARNING: https://wiki.squid-cache.org/SquidFaq/TroubleShooting" >&2;}
   { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: on how to increase your filedescriptor limit" >&5
 printf "%s\n" "$as_me: WARNING: on how to increase your filedescriptor limit" >&2;}
 
@@ -56854,7 +56854,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 6.2, which was
+This file was extended by Squid Web Proxy $as_me 6.3, which was
 generated by GNU Autoconf 2.71.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -56922,7 +56922,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config='$ac_cs_config_escaped'
 ac_cs_version="\\
-Squid Web Proxy config.status 6.2
+Squid Web Proxy config.status 6.3
 configured by $0, generated by GNU Autoconf 2.71,
   with options \\"\$ac_cs_config\\"
 
diff -u -r -N squid-6.2/configure.ac squid-6.3/configure.ac
--- squid-6.2/configure.ac	2023-08-07 07:35:20.000000000 +1200
+++ squid-6.3/configure.ac	2023-09-03 20:33:34.000000000 +1200
@@ -5,7 +5,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-AC_INIT([Squid Web Proxy],[6.2],[https://bugs.squid-cache.org/],[squid])
+AC_INIT([Squid Web Proxy],[6.3],[https://bugs.squid-cache.org/],[squid])
 AC_PREREQ(2.61)
 AC_CONFIG_HEADERS([include/autoconf.h])
 AC_CONFIG_AUX_DIR(cfgaux)
@@ -1683,7 +1683,7 @@
 
 AC_ARG_ENABLE(cache-digests,
   AS_HELP_STRING([--enable-cache-digests],
-   [Use Cache Digests. See http://wiki.squid-cache.org/SquidFaq/CacheDigests]),[
+   [Use Cache Digests. See https://wiki.squid-cache.org/SquidFaq/CacheDigests]),[
   SQUID_YESNO([$enableval],[--enable-cache-digests])
 ])
 SQUID_DEFINE_BOOL(USE_CACHE_DIGESTS,${enable_cache_digests:=no},
diff -u -r -N squid-6.2/CONTRIBUTORS squid-6.3/CONTRIBUTORS
--- squid-6.2/CONTRIBUTORS	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/CONTRIBUTORS	2023-09-03 18:17:45.000000000 +1200
@@ -46,6 +46,7 @@
     Andrew Doran <ad@interlude.eu.org>
     Andrew Evdokimov <ae@elahi.ru>
     Andrew Hoying <andrew_hoying@blm.gov>
+    Andrew Novikov <as.asaw@gmail.com>
     Andrew Tridgell
     Andrey <rybakovandrey85@gmail.com>
     Andrey Shorin <tolsty@tushino.com>
@@ -143,6 +144,7 @@
     Edward Chernenko <edwardspec@gmail.com>
     Edward Moy <moy@parc.xerox.com>
     Egervary Gergely <gergely@egervary.hu>
+    Egor Ignatov <master.egor.ignatov@gmail.com>
     Eldar Akchurin <al.akchurin@googlemail.com>
     Eliezer Croitoru <eliezer@ngtech.co.il>
     Elmar Vonlanthen <Elmar.Vonlanthen@united-security-providers.ch>
@@ -457,6 +459,7 @@
     Sergio Durigan Junior <sergiodj@sergiodj.net>
     Sergio Rabellino <rabellino@di.unito.it>
     Shigechika Aikawa <shige@luck.imasy.or.jp>
+    Shmaya <34206053+ShmayaFrankel@users.noreply.github.com>
     Silamael <Silamael@coronamundi.de>
     Simon Deziel
     squidcontrib <56416132+squidcontrib@users.noreply.github.com>
diff -u -r -N squid-6.2/doc/release-notes/release-6.html squid-6.3/doc/release-notes/release-6.html
--- squid-6.2/doc/release-notes/release-6.html	2023-08-07 07:39:17.000000000 +1200
+++ squid-6.3/doc/release-notes/release-6.html	2023-09-03 20:37:47.000000000 +1200
@@ -3,10 +3,10 @@
 <HEAD>
  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.83">
  <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
- <TITLE>Squid 6.2 release notes</TITLE>
+ <TITLE>Squid 6.3 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 6.2 release notes</H1>
+<H1>Squid 6.3 release notes</H1>
 
 <H2>Squid Developers</H2>
 <P>
@@ -59,7 +59,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-6.2 for testing.</P>
+<P>The Squid Team are pleased to announce the release of Squid-6.3 for testing.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v6/">http://www.squid-cache.org/Versions/v6/</A> or the
 <A HREF="http://www.squid-cache.org/Download/http-mirrors.html">mirrors</A>.</P>
@@ -67,14 +67,14 @@
 <P>While this release is not deemed ready for production use, we believe it is ready for wider testing by the community.</P>
 
 <P>We welcome feedback and bug reports. If you find a bug, please see 
-<A HREF="http://wiki.squid-cache.org/SquidFaq/BugReporting">http://wiki.squid-cache.org/SquidFaq/BugReporting</A>
+<A HREF="https://wiki.squid-cache.org/SquidFaq/BugReporting">https://wiki.squid-cache.org/SquidFaq/BugReporting</A>
 for how to submit a report with a stack trace.</P>
 
 <H2><A NAME="ss1.1">1.1</A> <A HREF="#toc1.1">Known issues</A>
 </H2>
 
 <P>Although this release is deemed good enough for use in many setups, please note the existence of
-<A HREF="http://bugs.squid-cache.org/buglist.cgi?query_format=advanced&amp;product=Squid&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;version=6">open bugs against Squid-6</A>.</P>
+<A HREF="https://bugs.squid-cache.org/buglist.cgi?query_format=advanced&amp;product=Squid&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;version=6">open bugs against Squid-6</A>.</P>
 
 <P>Support for compiling on HPUX with the native HP <EM>xcc</EM> compiler has been removed.
 To build on that OS/compiler combination, it is possible to pass these environment variables
diff -u -r -N squid-6.2/include/version.h squid-6.3/include/version.h
--- squid-6.2/include/version.h	2023-08-07 07:35:20.000000000 +1200
+++ squid-6.3/include/version.h	2023-09-03 20:33:34.000000000 +1200
@@ -10,7 +10,7 @@
 #define SQUID_VERSION_H
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1691350510
+#define SQUID_RELEASE_TIME 1693730003
 #endif
 
 /*
diff -u -r -N squid-6.2/README squid-6.3/README
--- squid-6.2/README	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/README	2023-09-03 18:17:45.000000000 +1200
@@ -11,7 +11,7 @@
 For support, please use the following resources:
 
     * General help and support:  squid-users@lists.squid-cache.org
-    * Public bug reports:        http://bugs.squid-cache.org/
+    * Public bug reports:        https://bugs.squid-cache.org/
     * Security bug reports:      squid-bugs@lists.squid-cache.org
     * Development discussions:   squid-dev@lists.squid-cache.org
 
diff -u -r -N squid-6.2/RELEASENOTES.html squid-6.3/RELEASENOTES.html
--- squid-6.2/RELEASENOTES.html	2023-08-07 07:39:17.000000000 +1200
+++ squid-6.3/RELEASENOTES.html	2023-09-03 20:37:47.000000000 +1200
@@ -3,10 +3,10 @@
 <HEAD>
  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.83">
  <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
- <TITLE>Squid 6.2 release notes</TITLE>
+ <TITLE>Squid 6.3 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 6.2 release notes</H1>
+<H1>Squid 6.3 release notes</H1>
 
 <H2>Squid Developers</H2>
 <P>
@@ -59,7 +59,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-6.2 for testing.</P>
+<P>The Squid Team are pleased to announce the release of Squid-6.3 for testing.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v6/">http://www.squid-cache.org/Versions/v6/</A> or the
 <A HREF="http://www.squid-cache.org/Download/http-mirrors.html">mirrors</A>.</P>
@@ -67,14 +67,14 @@
 <P>While this release is not deemed ready for production use, we believe it is ready for wider testing by the community.</P>
 
 <P>We welcome feedback and bug reports. If you find a bug, please see 
-<A HREF="http://wiki.squid-cache.org/SquidFaq/BugReporting">http://wiki.squid-cache.org/SquidFaq/BugReporting</A>
+<A HREF="https://wiki.squid-cache.org/SquidFaq/BugReporting">https://wiki.squid-cache.org/SquidFaq/BugReporting</A>
 for how to submit a report with a stack trace.</P>
 
 <H2><A NAME="ss1.1">1.1</A> <A HREF="#toc1.1">Known issues</A>
 </H2>
 
 <P>Although this release is deemed good enough for use in many setups, please note the existence of
-<A HREF="http://bugs.squid-cache.org/buglist.cgi?query_format=advanced&amp;product=Squid&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;version=6">open bugs against Squid-6</A>.</P>
+<A HREF="https://bugs.squid-cache.org/buglist.cgi?query_format=advanced&amp;product=Squid&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;version=6">open bugs against Squid-6</A>.</P>
 
 <P>Support for compiling on HPUX with the native HP <EM>xcc</EM> compiler has been removed.
 To build on that OS/compiler combination, it is possible to pass these environment variables
diff -u -r -N squid-6.2/src/acl/external/AD_group/ext_ad_group_acl.8 squid-6.3/src/acl/external/AD_group/ext_ad_group_acl.8
--- squid-6.2/src/acl/external/AD_group/ext_ad_group_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/AD_group/ext_ad_group_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -254,9 +254,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -270,7 +270,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/delayer/ext_delayer_acl.8 squid-6.3/src/acl/external/delayer/ext_delayer_acl.8
--- squid-6.2/src/acl/external/delayer/ext_delayer_acl.8	2023-08-07 07:39:21.000000000 +1200
+++ squid-6.3/src/acl/external/delayer/ext_delayer_acl.8	2023-09-03 20:37:50.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_DELAYER_ACL 8"
-.TH EXT_DELAYER_ACL 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH EXT_DELAYER_ACL 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -216,9 +216,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -227,6 +227,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/delayer/ext_delayer_acl.pl.in squid-6.3/src/acl/external/delayer/ext_delayer_acl.pl.in
--- squid-6.2/src/acl/external/delayer/ext_delayer_acl.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/delayer/ext_delayer_acl.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -93,9 +93,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -105,7 +105,7 @@
 
 squid (8), GPL (7),
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/acl/external/eDirectory_userip/ext_edirectory_userip_acl.8 squid-6.3/src/acl/external/eDirectory_userip/ext_edirectory_userip_acl.8
--- squid-6.2/src/acl/external/eDirectory_userip/ext_edirectory_userip_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/eDirectory_userip/ext_edirectory_userip_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -218,9 +218,9 @@
 .
 .PP
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -235,7 +235,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/file_userip/ext_file_userip_acl.8 squid-6.3/src/acl/external/file_userip/ext_file_userip_acl.8
--- squid-6.2/src/acl/external/file_userip/ext_file_userip_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/file_userip/ext_file_userip_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -97,9 +97,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -113,7 +113,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/kerberos_ldap_group/ext_kerberos_ldap_group_acl.8 squid-6.3/src/acl/external/kerberos_ldap_group/ext_kerberos_ldap_group_acl.8
--- squid-6.2/src/acl/external/kerberos_ldap_group/ext_kerberos_ldap_group_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/kerberos_ldap_group/ext_kerberos_ldap_group_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -244,7 +244,7 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
 Report bugs or bug fixes using http://bugs.squid\-cache.org/
 .PP
@@ -269,7 +269,7 @@
 http://www.padl.com/~lukeh/rfc2307bis.txt,"
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid\-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid\-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8 squid-6.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8
--- squid-6.2/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8	2023-08-07 07:39:21.000000000 +1200
+++ squid-6.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8	2023-09-03 20:37:51.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_KERBEROS_SID_GROUP_ACL 8"
-.TH EXT_KERBEROS_SID_GROUP_ACL 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH EXT_KERBEROS_SID_GROUP_ACL 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -219,9 +219,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -230,6 +230,6 @@
 .IX Header "SEE ALSO"
 \&\fBnegotiate_kerberos_auth\fR\|(8)
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in squid-6.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in
--- squid-6.2/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -97,9 +97,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -109,7 +109,7 @@
 
 negotiate_kerberos_auth(8)
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/acl/external/LDAP_group/ext_ldap_group_acl.8 squid-6.3/src/acl/external/LDAP_group/ext_ldap_group_acl.8
--- squid-6.2/src/acl/external/LDAP_group/ext_ldap_group_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/LDAP_group/ext_ldap_group_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -262,9 +262,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -284,7 +284,7 @@
 .BR RFC2254 " - The String Representation of LDAP Search Filters,"
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/LM_group/ext_lm_group_acl.8 squid-6.3/src/acl/external/LM_group/ext_lm_group_acl.8
--- squid-6.2/src/acl/external/LM_group/ext_lm_group_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/LM_group/ext_lm_group_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -186,9 +186,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -202,7 +202,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/session/ext_session_acl.8 squid-6.3/src/acl/external/session/ext_session_acl.8
--- squid-6.2/src/acl/external/session/ext_session_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/session/ext_session_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -116,9 +116,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -132,7 +132,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/SQL_session/ext_sql_session_acl.8 squid-6.3/src/acl/external/SQL_session/ext_sql_session_acl.8
--- squid-6.2/src/acl/external/SQL_session/ext_sql_session_acl.8	2023-08-07 07:39:22.000000000 +1200
+++ squid-6.3/src/acl/external/SQL_session/ext_sql_session_acl.8	2023-09-03 20:37:51.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_SQL_SESSION_ACL 8"
-.TH EXT_SQL_SESSION_ACL 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH EXT_SQL_SESSION_ACL 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -216,9 +216,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -227,6 +227,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/SQL_session/ext_sql_session_acl.pl.in squid-6.3/src/acl/external/SQL_session/ext_sql_session_acl.pl.in
--- squid-6.2/src/acl/external/SQL_session/ext_sql_session_acl.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/SQL_session/ext_sql_session_acl.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -99,9 +99,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -111,7 +111,7 @@
 
 squid (8), GPL (7),
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/acl/external/time_quota/ext_time_quota_acl.8 squid-6.3/src/acl/external/time_quota/ext_time_quota_acl.8
--- squid-6.2/src/acl/external/time_quota/ext_time_quota_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/time_quota/ext_time_quota_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -138,7 +138,7 @@
 , and 
 .B %SRCEUI64
 are all likely candidates for client identification.
-The Squid wiki has more examples at http://wiki.squid-cache.org/ConfigExamples.
+The Squid wiki has more examples at https://wiki.squid-cache.org/ConfigExamples.
 .
 .SH LIMITATIONS
 .PP
@@ -234,9 +234,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -250,7 +250,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/unix_group/ext_unix_group_acl.8 squid-6.3/src/acl/external/unix_group/ext_unix_group_acl.8
--- squid-6.2/src/acl/external/unix_group/ext_unix_group_acl.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/unix_group/ext_unix_group_acl.8	2023-09-03 18:17:45.000000000 +1200
@@ -89,9 +89,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -110,7 +110,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8 squid-6.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8
--- squid-6.2/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8	2023-08-07 07:39:22.000000000 +1200
+++ squid-6.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8	2023-09-03 20:37:51.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_WBINFO_GROUP_ACL 8"
-.TH EXT_WBINFO_GROUP_ACL 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH EXT_WBINFO_GROUP_ACL 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -207,15 +207,15 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
 Report ideas for new improvements to the \fISquid Developers mailing list <squid\-dev@lists.squid\-cache.org\fR>
 .SH "SEE ALSO"
 .IX Header "SEE ALSO"
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in squid-6.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in
--- squid-6.2/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -80,9 +80,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -90,7 +90,7 @@
 
 =head1 SEE ALSO
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/auth/basic/DB/basic_db_auth.8 squid-6.3/src/auth/basic/DB/basic_db_auth.8
--- squid-6.2/src/auth/basic/DB/basic_db_auth.8	2023-08-07 07:39:23.000000000 +1200
+++ squid-6.3/src/auth/basic/DB/basic_db_auth.8	2023-09-03 20:37:52.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_DB_AUTH 8"
-.TH BASIC_DB_AUTH 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH BASIC_DB_AUTH 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -224,9 +224,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -235,6 +235,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/DB/basic_db_auth.pl.in squid-6.3/src/auth/basic/DB/basic_db_auth.pl.in
--- squid-6.2/src/auth/basic/DB/basic_db_auth.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/DB/basic_db_auth.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -111,9 +111,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -123,7 +123,7 @@
 
 squid (8), GPL (7),
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/auth/basic/getpwnam/basic_getpwnam_auth.8 squid-6.3/src/auth/basic/getpwnam/basic_getpwnam_auth.8
--- squid-6.2/src/auth/basic/getpwnam/basic_getpwnam_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/getpwnam/basic_getpwnam_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -91,9 +91,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -116,7 +116,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/LDAP/basic_ldap_auth.8 squid-6.3/src/auth/basic/LDAP/basic_ldap_auth.8
--- squid-6.2/src/auth/basic/LDAP/basic_ldap_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/LDAP/basic_ldap_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -325,9 +325,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -346,7 +346,7 @@
 .BR RFC2254 " - The String Representation of LDAP Search Filters,"
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/NCSA/basic_ncsa_auth.8 squid-6.3/src/auth/basic/NCSA/basic_ncsa_auth.8
--- squid-6.2/src/auth/basic/NCSA/basic_ncsa_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/NCSA/basic_ncsa_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -81,9 +81,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -98,7 +98,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/PAM/basic_pam_auth.8 squid-6.3/src/auth/basic/PAM/basic_pam_auth.8
--- squid-6.2/src/auth/basic/PAM/basic_pam_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/PAM/basic_pam_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -101,9 +101,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -123,7 +123,7 @@
 PAM Systems Administrator Guide
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/POP3/basic_pop3_auth.8 squid-6.3/src/auth/basic/POP3/basic_pop3_auth.8
--- squid-6.2/src/auth/basic/POP3/basic_pop3_auth.8	2023-08-07 07:39:23.000000000 +1200
+++ squid-6.3/src/auth/basic/POP3/basic_pop3_auth.8	2023-09-03 20:37:52.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_POP3_AUTH 8"
-.TH BASIC_POP3_AUTH 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH BASIC_POP3_AUTH 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -193,9 +193,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -204,6 +204,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/POP3/basic_pop3_auth.pl.in squid-6.3/src/auth/basic/POP3/basic_pop3_auth.pl.in
--- squid-6.2/src/auth/basic/POP3/basic_pop3_auth.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/POP3/basic_pop3_auth.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -63,9 +63,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -75,7 +75,7 @@
 
 squid (8), GPL (7),
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/auth/basic/RADIUS/basic_radius_auth.8 squid-6.3/src/auth/basic/RADIUS/basic_radius_auth.8
--- squid-6.2/src/auth/basic/RADIUS/basic_radius_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/RADIUS/basic_radius_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -116,9 +116,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -134,7 +134,7 @@
 .BR RFC2058 " - Remote Authentication Dial In User Service (RADIUS)"
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/SASL/basic_sasl_auth.8 squid-6.3/src/auth/basic/SASL/basic_sasl_auth.8
--- squid-6.2/src/auth/basic/SASL/basic_sasl_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/SASL/basic_sasl_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -97,9 +97,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -119,7 +119,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/basic/SMB_LM/msntauth.cc squid-6.3/src/auth/basic/SMB_LM/msntauth.cc
--- squid-6.2/src/auth/basic/SMB_LM/msntauth.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/SMB_LM/msntauth.cc	2023-09-03 18:17:45.000000000 +1200
@@ -60,7 +60,7 @@
 typedef std::vector<domaincontroller> domaincontrollers_t;
 domaincontrollers_t domaincontrollers;
 
-bool
+static bool
 validate_user(char *username, char *password)
 {
     for (domaincontrollers_t::iterator dc = domaincontrollers.begin(); dc != domaincontrollers.end(); ++dc) {
@@ -74,7 +74,7 @@
 }
 
 static char instructions[] = "Usage instructions: basic_nsnt_auth <domainname>/<domaincontroller> [<domainname>/<domaincontroller> ...]";
-void
+static void
 display_usage_instructions()
 {
     using std::endl;
diff -u -r -N squid-6.2/src/auth/basic/SMB_LM/README.html squid-6.3/src/auth/basic/SMB_LM/README.html
--- squid-6.2/src/auth/basic/SMB_LM/README.html	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/SMB_LM/README.html	2023-09-03 18:17:45.000000000 +1200
@@ -46,8 +46,8 @@
 
 <P>
 <i>basic_msnt_auth</i> follows the standard Squid basic authentication helper protocol.
-See <a href="http://wiki.squid-cache.org/Features/AddonHelpers#Basic_Scheme"
->http://wiki.squid-cache.org/Features/AddonHelpers#Basic_Scheme</a> for details.
+See <a href="https://wiki.squid-cache.org/Features/AddonHelpers#basic-scheme"
+>https://wiki.squid-cache.org/Features/AddonHelpers#basic-scheme</a> for details.
 Problems are logged to syslog.
 
 <P>
diff -u -r -N squid-6.2/src/auth/basic/SSPI/basic_sspi_auth.8 squid-6.3/src/auth/basic/SSPI/basic_sspi_auth.8
--- squid-6.2/src/auth/basic/SSPI/basic_sspi_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/basic/SSPI/basic_sspi_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -151,9 +151,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -167,7 +167,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/digest/file/digest_file_auth.8 squid-6.3/src/auth/digest/file/digest_file_auth.8
--- squid-6.2/src/auth/digest/file/digest_file_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/digest/file/digest_file_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -88,9 +88,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -104,7 +104,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/negotiate/kerberos/negotiate_kerberos_auth.8 squid-6.3/src/auth/negotiate/kerberos/negotiate_kerberos_auth.8
--- squid-6.2/src/auth/negotiate/kerberos/negotiate_kerberos_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/negotiate/kerberos/negotiate_kerberos_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -117,7 +117,7 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
 Report bugs or bug fixes using http://bugs.squid\-cache.org/
 .PP
@@ -139,8 +139,8 @@
 .BR RFC1964 " \- The Kerberos Version 5 GSS\-API Mechanism,"
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid\-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid\-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid\-cache.org/Doc/config/
-.if !'po4a'hide' http://wiki.squid\-cache.org/ConfigExamples/Authenticate/Kerberos
+.if !'po4a'hide' https://wiki.squid\-cache.org/ConfigExamples/Authenticate/Kerberos
diff -u -r -N squid-6.2/src/auth/negotiate/SSPI/negotiate_sspi_auth.8 squid-6.3/src/auth/negotiate/SSPI/negotiate_sspi_auth.8
--- squid-6.2/src/auth/negotiate/SSPI/negotiate_sspi_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/negotiate/SSPI/negotiate_sspi_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -90,9 +90,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -106,7 +106,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/auth/ntlm/SSPI/ntlm_sspi_auth.8 squid-6.3/src/auth/ntlm/SSPI/ntlm_sspi_auth.8
--- squid-6.2/src/auth/ntlm/SSPI/ntlm_sspi_auth.8	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/auth/ntlm/SSPI/ntlm_sspi_auth.8	2023-09-03 18:17:45.000000000 +1200
@@ -118,9 +118,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -134,7 +134,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/base/AsyncJobCalls.h squid-6.3/src/base/AsyncJobCalls.h
--- squid-6.2/src/base/AsyncJobCalls.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/base/AsyncJobCalls.h	2023-09-03 18:17:45.000000000 +1200
@@ -176,9 +176,18 @@
     } catch (const std::exception &e) {
         debugs(call.debugSection, 3,
                call.name << " threw exception: " << e.what());
+        if (!job) {
+            debugs(call.debugSection, DBG_CRITICAL, "ERROR: Squid BUG: Job invalidated during " <<
+                   call.name << " that threw exception: " << e.what());
+            return; // see also: bug 4981, commit e3b6f15, and XXX in Http::Stream class description
+        }
         job->callException(e);
     }
 
+    if (!job) {
+        debugs(call.debugSection, DBG_CRITICAL, "ERROR: Squid BUG: Job invalidated during " << call.name);
+        return;
+    }
     job->callEnd(); // may delete job
 }
 
diff -u -r -N squid-6.2/src/base/File.cc squid-6.3/src/base/File.cc
--- squid-6.2/src/base/File.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/base/File.cc	2023-09-03 18:17:45.000000000 +1200
@@ -106,7 +106,7 @@
 // XXX: fcntl() locks are incompatible with complex applications that may lock
 // multiple open descriptors corresponding to the same underlying file. There is
 // nothing better on Solaris, but do not be tempted to use this elsewhere. For
-// more info, see http://bugs.squid-cache.org/show_bug.cgi?id=4212#c14
+// more info, see https://bugs.squid-cache.org/show_bug.cgi?id=4212#c14
 /// fcntl(... struct flock) convenience wrapper
 static int
 fcntlLock(const int fd, const short lockType)
diff -u -r -N squid-6.2/src/cache_manager.cc squid-6.3/src/cache_manager.cc
--- squid-6.2/src/cache_manager.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/cache_manager.cc	2023-09-03 18:17:45.000000000 +1200
@@ -165,6 +165,13 @@
     return actionChars;
 }
 
+const SBuf &
+CacheManager::WellKnownUrlPathPrefix()
+{
+    static const SBuf prefix("/squid-internal-mgr/");
+    return prefix;
+}
+
 /**
  * define whether the URL is a cache-manager URL and parse the action
  * requested by the user. Checks via CacheManager::ActionProtection() that the
@@ -183,9 +190,7 @@
 {
     Parser::Tokenizer tok(uri.path());
 
-    static const SBuf internalMagicPrefix("/squid-internal-mgr/");
-    if (!tok.skip(internalMagicPrefix) && !tok.skip('/'))
-        throw TextException("invalid URL path", Here());
+    Assure(tok.skip(WellKnownUrlPathPrefix()));
 
     Mgr::Command::Pointer cmd = new Mgr::Command();
     cmd->params.httpUri = SBufToString(uri.absolute());
@@ -394,7 +399,7 @@
            client << " requesting '" <<
            actionName << "'" );
 
-    // special case: /squid-internal-mgr/ index page
+    // special case: an index page
     if (!strcmp(cmd->profile->name, "index")) {
         ErrorState err(MGR_INDEX, Http::scOkay, request, ale);
         err.url = xstrdup(entry->url());
diff -u -r -N squid-6.2/src/CacheManager.h squid-6.3/src/CacheManager.h
--- squid-6.2/src/CacheManager.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/CacheManager.h	2023-09-03 18:17:45.000000000 +1200
@@ -34,6 +34,9 @@
 public:
     typedef std::vector<Mgr::ActionProfilePointer> Menu;
 
+    /// initial URL path characters that identify cache manager requests
+    static const SBuf &WellKnownUrlPathPrefix();
+
     void registerProfile(char const * action, char const * desc,
                          OBJH * handler,
                          int pw_req_flag, int atomic);
diff -u -r -N squid-6.2/src/cf.data.pre squid-6.3/src/cf.data.pre
--- squid-6.2/src/cf.data.pre	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/cf.data.pre	2023-09-03 18:17:45.000000000 +1200
@@ -16,8 +16,8 @@
 	You may wish to look at the Squid home page and wiki for the
 	FAQ and other documentation:
 		http://www.squid-cache.org/
-		http://wiki.squid-cache.org/SquidFaq
-		http://wiki.squid-cache.org/ConfigExamples
+		https://wiki.squid-cache.org/SquidFaq
+		https://wiki.squid-cache.org/ConfigExamples
 
 	This documentation shows what the defaults for various directives
 	happen to be.  If you don't need to change the default, you should
@@ -612,7 +612,7 @@
 		By default, each authentication scheme is not used unless a
 		program is specified.
 
-		See http://wiki.squid-cache.org/Features/AddonHelpers for
+		See https://wiki.squid-cache.org/Features/AddonHelpers for
 		more details on helper operations and creating your own.
 
 	"key_extras" format
@@ -1118,7 +1118,7 @@
 	to access some external data source.
 	Those which do are marked with the tag [slow], those which
 	don't are marked as [fast].
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl
 	for further information
 
 	***** ACL TYPES AVAILABLE *****
@@ -1709,7 +1709,7 @@
 		based on the client's source addresses.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: follow_x_forwarded_for
@@ -1753,7 +1753,7 @@
 	log_uses_indirect_client and tproxy_uses_indirect_client options.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	SECURITY CONSIDERATIONS:
 
@@ -1848,7 +1848,7 @@
 	Note that the cache_peer "no-tproxy" option overrides this ACL.
 
 	This clause supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: http_access
@@ -1875,7 +1875,7 @@
 	lists to avoid potential confusion.
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 CONFIG_START
 
@@ -1955,7 +1955,7 @@
 	with an "allow all" or "deny all" entry.
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: icp_access
@@ -1974,7 +1974,7 @@
 	using ICP.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 # Allow ICP queries from local networks only
 #icp_access allow localnet
@@ -2001,7 +2001,7 @@
 	using the htcp option.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 # Allow HTCP queries from local networks only
 #htcp_access allow localnet
@@ -2022,7 +2022,7 @@
 	htcp_clr_access  allow|deny [!]aclname ...
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 # Allow HTCP CLR requests from trusted peers
 acl htcp_clr_peer src 192.0.2.2 2001:DB8::2
@@ -2054,7 +2054,7 @@
 	http_access rules to relay via this proxy.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: ident_lookup_access
@@ -2083,7 +2083,7 @@
 	the correct result.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: reply_body_max_size
@@ -2675,7 +2675,7 @@
 	The squid parser will enforce this by masking away the ECN bits.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: tcp_outgoing_mark
@@ -2723,7 +2723,7 @@
 	will be overwritten by mark values in qos_flows.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: mark_client_connection
@@ -2759,7 +2759,7 @@
 	mark_client_connection 0x200/0xff00 proto_ftp
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: qos_flows
@@ -2883,7 +2883,7 @@
 	client_dst_passthru directive re-enable normal forwarding such as this.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: host_verify_strict
@@ -3229,7 +3229,7 @@
 	See the at_step ACL for a list of the supported SslBump steps.
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	See also: http_port ssl-bump, https_port ssl-bump, and acl at_step.
 
@@ -3261,7 +3261,7 @@
 		sslproxy_cert_error deny all
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 	Using slow acl types may result in server crashes
 
 	Without this option, all server certificate validation errors
@@ -4019,7 +4019,7 @@
 	may be optimized away in future Squid versions.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 DOC_END
 
@@ -5394,7 +5394,7 @@
 	in performance counters.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: cache_store_log
@@ -5613,7 +5613,7 @@
 	log does not support custom record formats.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	See access_log's <module>:<place> parameter for a list of supported
 	logging destinations.
@@ -6100,7 +6100,7 @@
 	sent to the redirector processes.
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: url_rewrite_bypass redirector_bypass
@@ -6309,7 +6309,7 @@
 	are sent.
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: store_id_bypass storeurl_rewrite_bypass
@@ -6344,7 +6344,7 @@
 	has no effect on other transactions and on already cached responses.
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	This and the two other similar caching directives listed below are
 	checked at different transaction processing stages, have different
@@ -6391,7 +6391,7 @@
 	store_miss, send_hit, and cache directives.
 
 	Unlike the "cache" directive, send_hit only supports fast acl
-	types.  See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	types.  See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	For example:
 
@@ -6426,7 +6426,7 @@
 	send_hit directive for a usage example.
 
 	Unlike the "cache" directive, store_miss only supports fast acl
-	types.  See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	types.  See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: max_stale
@@ -6823,7 +6823,7 @@
 	  a request with an extra CRLF.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 Example:
  acl buggy_server url_regex ^http://....
@@ -7114,7 +7114,7 @@
 	    logformat myFormat ... %{key}note ...
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: relaxed_header_parser
@@ -7689,7 +7689,7 @@
 		IPv4 traffic. Class 1 and 5 pools may be used with IPv6 traffic.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	See also delay_parameters and delay_access.
 DOC_END
@@ -7924,7 +7924,7 @@
 	based on their source IP addresses (one bucket per source IP).
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 	Additionally, only the client TCP connection details are available.
 	ACLs testing HTTP properties will not work.
 
@@ -8374,7 +8374,7 @@
 	snmp_access allow|deny [!]aclname ...
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 Example:
  snmp_access allow snmppublic localhost
@@ -8824,7 +8824,7 @@
 	a wide variety of languages. If you are making translations for a
 	language that Squid does not currently provide please consider
 	contributing your translation back to the project.
-	http://wiki.squid-cache.org/Translations
+	https://wiki.squid-cache.org/Translations
 
 	The squid developers working on translations are happy to supply drop-in
 	translated error files in exchange for any new language contributions.
@@ -8846,7 +8846,7 @@
 	The squid developers are interested in making squid available in
 	a wide variety of languages. If you are interested in making
 	translations for any language see the squid wiki for details.
-	http://wiki.squid-cache.org/Translations
+	https://wiki.squid-cache.org/Translations
 DOC_END
 
 NAME: error_log_languages
@@ -9078,7 +9078,7 @@
 	the replies see the 'cache' directive.
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 NAME: never_direct
@@ -9111,7 +9111,7 @@
 		never_direct allow all
 
 	This clause supports both fast and slow acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 DOC_END
 
 COMMENT_START
@@ -10754,7 +10754,7 @@
 	cache, using regular HTTP caching rules.
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	Each of the following groups of configuration lines represents a
 	separate configuration example:
@@ -10805,7 +10805,7 @@
 	persistent connections (if any).
 
 	This clause only supports fast acl types.
-	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+	See https://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 	Example:
 		acl SpeedIsWorthTheRisk method POST
diff -u -r -N squid-6.2/src/DiskIO/AIO/AIODiskFile.h squid-6.3/src/DiskIO/AIO/AIODiskFile.h
--- squid-6.2/src/DiskIO/AIO/AIODiskFile.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/DiskIO/AIO/AIODiskFile.h	2023-09-03 18:17:45.000000000 +1200
@@ -28,7 +28,7 @@
     AIODiskFile (char const *path, AIODiskIOStrategy *);
     ~AIODiskFile() override;
 
-    /// \bug the code has this as "IORequestor::Pointer callback"
+    // XXX: the code has this as "IORequestor::Pointer callback"
     void open(int flags, mode_t mode, RefCount<IORequestor> callback) override;
 
     void create (int, mode_t, RefCount<IORequestor>) override;
diff -u -r -N squid-6.2/src/errorpage.cc squid-6.3/src/errorpage.cc
--- squid-6.2/src/errorpage.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/errorpage.cc	2023-09-03 18:17:45.000000000 +1200
@@ -1322,7 +1322,7 @@
          * If error page auto-negotiate is enabled in any way, send the Vary.
          * RFC 2616 section 13.6 and 14.44 says MAY and SHOULD do this.
          * We have even better reasons though:
-         * see http://wiki.squid-cache.org/KnowledgeBase/VaryNotCaching
+         * see https://wiki.squid-cache.org/KnowledgeBase/VaryNotCaching
          */
         if (!Config.errorDirectory) {
             /* We 'negotiated' this ONLY from the Accept-Language. */
diff -u -r -N squid-6.2/src/esi/Context.h squid-6.3/src/esi/Context.h
--- squid-6.2/src/esi/Context.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/esi/Context.h	2023-09-03 18:17:45.000000000 +1200
@@ -75,20 +75,20 @@
     ClientHttpRequest *http;
 
     struct {
-        int passthrough:1;
-        int oktosend:1;
-        int finished:1;
+        unsigned int passthrough:1;
+        unsigned int oktosend:1;
+        unsigned int finished:1;
 
         /* an error has occurred, send full body replies
          * regardless. Note that we don't fail midstream
          * because we buffer until we can not fail
          */
-        int error:1;
+        unsigned int error:1;
 
-        int finishedtemplate:1; /* we've read the entire template */
-        int clientwantsdata:1; /* we need to satisfy a read request */
-        int kicked:1; /* note on reentering the kick routine */
-        int detached:1; /* our downstream has detached */
+        unsigned int finishedtemplate:1; /* we've read the entire template */
+        unsigned int clientwantsdata:1; /* we need to satisfy a read request */
+        unsigned int kicked:1; /* note on reentering the kick routine */
+        unsigned int detached:1; /* our downstream has detached */
     } flags;
 
     err_type errorpage; /* if we error what page to use */
@@ -123,7 +123,7 @@
         ParserState();
         void freeResources();
         void popAll();
-        int parsing:1; /* libexpat is not reentrant on the same context */
+        unsigned int parsing:1; /* libexpat is not reentrant on the same context */
 
     private:
         bool inited_;
diff -u -r -N squid-6.2/src/esi/Esi.cc squid-6.3/src/esi/Esi.cc
--- squid-6.2/src/esi/Esi.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/esi/Esi.cc	2023-09-03 18:17:45.000000000 +1200
@@ -141,10 +141,10 @@
     ESIElement::Pointer except;
 
     struct {
-        int attemptok:1; /* the attempt branch process correctly */
-        int exceptok:1; /* likewise */
-        int attemptfailed:1; /* The attempt branch failed */
-        int exceptfailed:1; /* the except branch failed */
+        unsigned int attemptok:1; /* the attempt branch process correctly */
+        unsigned int exceptok:1; /* likewise */
+        unsigned int attemptfailed:1; /* The attempt branch failed */
+        unsigned int exceptfailed:1; /* the except branch failed */
     } flags;
     void finish() override;
 
diff -u -r -N squid-6.2/src/esi/Include.h squid-6.3/src/esi/Include.h
--- squid-6.2/src/esi/Include.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/esi/Include.h	2023-09-03 18:17:45.000000000 +1200
@@ -47,9 +47,9 @@
     void subRequestDone (ESIStreamContext::Pointer, bool);
 
     struct {
-        int onerrorcontinue:1; /* on error return zero data */
-        int failed:1; /* Failed to process completely */
-        int finished:1; /* Finished getting subrequest data */
+        unsigned int onerrorcontinue:1; /* on error return zero data */
+        unsigned int failed:1; /* Failed to process completely */
+        unsigned int finished:1; /* Finished getting subrequest data */
     } flags;
     ESIStreamContext::Pointer src;
     ESIStreamContext::Pointer alt;
diff -u -r -N squid-6.2/src/esi/Literal.h squid-6.3/src/esi/Literal.h
--- squid-6.2/src/esi/Literal.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/esi/Literal.h	2023-09-03 18:17:45.000000000 +1200
@@ -32,7 +32,7 @@
     ESISegment::Pointer buffer;
 
     struct {
-        int donevars:1;
+        unsigned int donevars:1;
     } flags;
 
     ESIVarState *varState;
diff -u -r -N squid-6.2/src/esi/Sequence.h squid-6.3/src/esi/Sequence.h
--- squid-6.2/src/esi/Sequence.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/esi/Sequence.h	2023-09-03 18:17:45.000000000 +1200
@@ -40,7 +40,7 @@
     size_t processedcount;
 
     struct {
-        int dovars:1; /* for esiVar */
+        unsigned int dovars:1; /* for esiVar */
     } flags;
     void finish() override;
 
diff -u -r -N squid-6.2/src/esi/VarState.h squid-6.3/src/esi/VarState.h
--- squid-6.2/src/esi/VarState.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/esi/VarState.h	2023-09-03 18:17:45.000000000 +1200
@@ -63,11 +63,11 @@
     HttpHeader hdr;
 
     struct {
-        int language:1;
-        int cookie:1;
-        int host:1;
-        int referer:1;
-        int useragent:1;
+        unsigned int language:1;
+        unsigned int cookie:1;
+        unsigned int host:1;
+        unsigned int referer:1;
+        unsigned int useragent:1;
     } flags;
 
 public:
diff -u -r -N squid-6.2/src/fs/ufs/RebuildState.h squid-6.3/src/fs/ufs/RebuildState.h
--- squid-6.2/src/fs/ufs/RebuildState.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/fs/ufs/RebuildState.h	2023-09-03 18:17:45.000000000 +1200
@@ -75,7 +75,7 @@
     int getNextFile(sfileno *, int *size);
     bool fromLog;
     bool _done;
-    /// \bug (callback) should be hidden behind a proper human readable name
+    // TODO: (callback) should be hidden behind a proper human readable name
     void (callback)(void *cbdata);
     void *cbdata;
 };
diff -u -r -N squid-6.2/src/http/url_rewriters/LFS/url_lfs_rewrite.8 squid-6.3/src/http/url_rewriters/LFS/url_lfs_rewrite.8
--- squid-6.2/src/http/url_rewriters/LFS/url_lfs_rewrite.8	2023-08-07 07:39:24.000000000 +1200
+++ squid-6.3/src/http/url_rewriters/LFS/url_lfs_rewrite.8	2023-09-03 20:37:53.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "URL_LFS_REWRITE 8"
-.TH URL_LFS_REWRITE 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH URL_LFS_REWRITE 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -231,9 +231,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -242,6 +242,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in squid-6.3/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in
--- squid-6.2/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -103,9 +103,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -115,7 +115,7 @@
 
 squid (8), GPL (7),
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
@@ -144,7 +144,7 @@
 my $status = undef;
 
 # Process lines of the form 'channel-ID URL ip-address/fqdn ident method'
-# See http://wiki.squid-cache.org/Features/AddonHelpers for details
+# See https://wiki.squid-cache.org/Features/AddonHelpers for details
 
 while ( <> ) {
     my ($cid, $url, $remainder) = split;
diff -u -r -N squid-6.2/src/http.cc squid-6.3/src/http.cc
--- squid-6.2/src/http.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/http.cc	2023-09-03 18:17:45.000000000 +1200
@@ -1100,11 +1100,10 @@
     /** \par
      * What does the reply have to say about keep-alive?
      */
-    /**
-     \bug XXX BUG?
+    /* XXX: BUG?
      * If the origin server (HTTP/1.0) does not send a keep-alive
      * header, but keeps the connection open anyway, what happens?
-     * We'll return here and http.c waits for an EOF before changing
+     * We'll return here and wait for an EOF before changing
      * store_status to STORE_OK.   Combine this with ENTRY_FWD_HDR_WAIT
      * and an error status code, and we might have to wait until
      * the server times out the socket.
diff -u -r -N squid-6.2/src/icmp/Icmp.h squid-6.3/src/icmp/Icmp.h
--- squid-6.2/src/icmp/Icmp.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/icmp/Icmp.h	2023-09-03 18:17:45.000000000 +1200
@@ -109,8 +109,8 @@
      \param ttl n(129...192) : 64 >= n >= 1
      \param ttl n(193...)    : n < 255
      *
-     \bug BUG? ttl<0 can produce high hop values
-     \bug BUG? ttl>255 can produce zero or negative hop values
+     * XXX: BUG? ttl<0 can produce high hop values
+     * XXX: BUG? ttl>255 can produce zero or negative hop values
      */
     int ipHops(int ttl);
 
diff -u -r -N squid-6.2/src/icmp/IcmpSquid.cc squid-6.3/src/icmp/IcmpSquid.cc
--- squid-6.2/src/icmp/IcmpSquid.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/icmp/IcmpSquid.cc	2023-09-03 18:17:45.000000000 +1200
@@ -64,8 +64,8 @@
         len = 0;
 
     /** \li Otherwise if len is 0, uses strlen() to detect length of payload.
-     \bug This will result in part of the payload being truncated if it contains a NULL character.
-     \bug Or it may result in a buffer over-run if the payload is not nul-terminated properly.
+     * XXX: This will result in part of the payload being truncated if it contains a NUL character.
+     *      Or it may result in a buffer over-read if the payload is not NUL-terminated properly.
      */
     else if (payload && len == 0)
         len = strlen(payload);
diff -u -r -N squid-6.2/src/internal.cc squid-6.3/src/internal.cc
--- squid-6.2/src/internal.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/internal.cc	2023-09-03 18:17:45.000000000 +1200
@@ -86,8 +86,7 @@
 bool
 ForSomeCacheManager(const SBuf &urlPath)
 {
-    static const SBuf mgrPfx("/squid-internal-mgr");
-    return urlPath.startsWith(mgrPfx);
+    return urlPath.startsWith(CacheManager::WellKnownUrlPathPrefix());
 }
 
 /*
diff -u -r -N squid-6.2/src/ipcache.cc squid-6.3/src/ipcache.cc
--- squid-6.2/src/ipcache.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/ipcache.cc	2023-09-03 18:17:45.000000000 +1200
@@ -227,18 +227,20 @@
 }
 
 void
-IpCacheLookupForwarder::finalCallback(const Dns::CachedIps *addrs, const Dns::LookupDetails &details)
+IpCacheLookupForwarder::finalCallback(const Dns::CachedIps * const possiblyEmptyAddrs, const Dns::LookupDetails &details)
 {
+    // TODO: Consider removing nil-supplying IpcacheStats.invalid code and refactoring accordingly.
+    // may be nil but is never empty
+    const auto addrs = (possiblyEmptyAddrs && possiblyEmptyAddrs->empty()) ? nullptr : possiblyEmptyAddrs;
+
     debugs(14, 7, addrs << " " << details);
     if (receiverObj.set()) {
         if (auto receiver = receiverObj.valid())
             receiver->noteIps(addrs, details);
         receiverObj.clear();
     } else if (receiverFun) {
-        if (receiverData.valid()) {
-            const Dns::CachedIps *emptyIsNil = (addrs && !addrs->empty()) ? addrs : nullptr;
-            receiverFun(emptyIsNil, details, receiverData.validDone());
-        }
+        if (receiverData.valid())
+            receiverFun(addrs, details, receiverData.validDone());
         receiverFun = nullptr;
     }
 }
diff -u -r -N squid-6.2/src/ipcache.h squid-6.3/src/ipcache.h
--- squid-6.2/src/ipcache.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/ipcache.h	2023-09-03 18:17:45.000000000 +1200
@@ -199,6 +199,7 @@
     /// Called when nbgethostbyname() fully resolves the name.
     /// The `ips` may contain both bad and good IP addresses, but each good IP
     /// (if any) is guaranteed to had been previously reported via noteIp().
+    /// When no IPs were obtained, `ips` is nil.
     virtual void noteIps(const CachedIps *ips, const LookupDetails &details) = 0;
 
     /// Called when/if nbgethostbyname() discovers a new good IP address.
diff -u -r -N squid-6.2/src/log/DB/log_db_daemon.8 squid-6.3/src/log/DB/log_db_daemon.8
--- squid-6.2/src/log/DB/log_db_daemon.8	2023-08-07 07:39:24.000000000 +1200
+++ squid-6.3/src/log/DB/log_db_daemon.8	2023-09-03 20:37:53.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "LOG_DB_DAEMON 8"
-.TH LOG_DB_DAEMON 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH LOG_DB_DAEMON 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -435,9 +435,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -446,6 +446,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/log/DB/log_db_daemon.pl.in squid-6.3/src/log/DB/log_db_daemon.pl.in
--- squid-6.2/src/log/DB/log_db_daemon.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/log/DB/log_db_daemon.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -307,9 +307,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -319,7 +319,7 @@
 
 squid (8), GPL (7),
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/LogTags.cc squid-6.3/src/LogTags.cc
--- squid-6.2/src/LogTags.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/LogTags.cc	2023-09-03 18:17:45.000000000 +1200
@@ -59,7 +59,7 @@
 }
 
 /*
- * This method is documented in http://wiki.squid-cache.org/SquidFaq/SquidLogs#Squid_result_codes
+ * This method is documented in https://wiki.squid-cache.org/SquidFaq/SquidLogs#squid-result-codes
  * Please keep the wiki up to date
  */
 const char *
diff -u -r -N squid-6.2/src/LogTags.h squid-6.3/src/LogTags.h
--- squid-6.2/src/LogTags.h	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/LogTags.h	2023-09-03 18:17:45.000000000 +1200
@@ -31,7 +31,7 @@
  * These codes indicate how the request was received
  * and some details about its processing pathway.
  *
- * see also http://wiki.squid-cache.org/SquidFaq/SquidLogs#Squid_result_codes
+ * see also https://wiki.squid-cache.org/SquidFaq/SquidLogs#squid-result-codes
  * for details on particular components.
  */
 typedef enum {
diff -u -r -N squid-6.2/src/Makefile.am squid-6.3/src/Makefile.am
--- squid-6.2/src/Makefile.am	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/Makefile.am	2023-09-03 18:17:45.000000000 +1200
@@ -2608,8 +2608,7 @@
 	wordlist.cc \
 	wordlist.h
 nodist_tests_testCacheManager_SOURCES = \
-	$(BUILT_SOURCES) \
-	tests/stub_libtime.cc
+	$(BUILT_SOURCES)
 # comm.cc only requires comm/libcomm.la until fdc_table is dead.
 tests_testCacheManager_LDADD = \
 	libsquid.la \
@@ -2644,6 +2643,7 @@
 	mem/libmem.la \
 	store/libstore.la \
 	sbuf/libsbuf.la \
+	time/libtime.la \
 	debug/libdebug.la \
 	$(top_builddir)/lib/libmisccontainers.la \
 	$(top_builddir)/lib/libmiscencoding.la \
diff -u -r -N squid-6.2/src/Makefile.in squid-6.3/src/Makefile.in
--- squid-6.2/src/Makefile.in	2023-08-07 07:35:15.000000000 +1200
+++ squid-6.3/src/Makefile.in	2023-09-03 20:33:29.000000000 +1200
@@ -602,8 +602,7 @@
 	tests/stub_tunnel.$(OBJEXT) urn.$(OBJEXT) \
 	tests/stub_wccp2.$(OBJEXT) tests/stub_whois.$(OBJEXT) \
 	wordlist.$(OBJEXT)
-nodist_tests_testCacheManager_OBJECTS = $(am__objects_14) \
-	tests/stub_libtime.$(OBJEXT)
+nodist_tests_testCacheManager_OBJECTS = $(am__objects_14)
 tests_testCacheManager_OBJECTS = $(am_tests_testCacheManager_OBJECTS) \
 	$(nodist_tests_testCacheManager_OBJECTS)
 tests_testCacheManager_DEPENDENCIES = libsquid.la \
@@ -617,7 +616,8 @@
 	$(am__DEPENDENCIES_2) $(SSL_LIBS) anyp/libanyp.la \
 	ipc/libipc.la mgr/libmgr.la $(am__DEPENDENCIES_3) \
 	mem/libmem.la store/libstore.la sbuf/libsbuf.la \
-	debug/libdebug.la $(top_builddir)/lib/libmisccontainers.la \
+	time/libtime.la debug/libdebug.la \
+	$(top_builddir)/lib/libmisccontainers.la \
 	$(top_builddir)/lib/libmiscencoding.la \
 	$(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
@@ -4847,8 +4847,7 @@
 	wordlist.h
 
 nodist_tests_testCacheManager_SOURCES = \
-	$(BUILT_SOURCES) \
-	tests/stub_libtime.cc
+	$(BUILT_SOURCES)
 
 # comm.cc only requires comm/libcomm.la until fdc_table is dead.
 tests_testCacheManager_LDADD = \
@@ -4884,6 +4883,7 @@
 	mem/libmem.la \
 	store/libstore.la \
 	sbuf/libsbuf.la \
+	time/libtime.la \
 	debug/libdebug.la \
 	$(top_builddir)/lib/libmisccontainers.la \
 	$(top_builddir)/lib/libmiscencoding.la \
@@ -5319,8 +5319,6 @@
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_whois.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
-tests/stub_libtime.$(OBJEXT): tests/$(am__dirstamp) \
-	tests/$(DEPDIR)/$(am__dirstamp)
 
 tests/testCacheManager$(EXEEXT): $(tests_testCacheManager_OBJECTS) $(tests_testCacheManager_DEPENDENCIES) $(EXTRA_tests_testCacheManager_DEPENDENCIES) tests/$(am__dirstamp)
 	@rm -f tests/testCacheManager$(EXEEXT)
@@ -5393,6 +5391,8 @@
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_tools.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_libtime.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
 
 tests/testDiskIO$(EXEEXT): $(tests_testDiskIO_OBJECTS) $(tests_testDiskIO_DEPENDENCIES) $(EXTRA_tests_testDiskIO_DEPENDENCIES) tests/$(am__dirstamp)
 	@rm -f tests/testDiskIO$(EXEEXT)
diff -u -r -N squid-6.2/src/security/cert_generators/file/security_file_certgen.8.in squid-6.3/src/security/cert_generators/file/security_file_certgen.8.in
--- squid-6.2/src/security/cert_generators/file/security_file_certgen.8.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/security/cert_generators/file/security_file_certgen.8.in	2023-09-03 18:17:45.000000000 +1200
@@ -170,9 +170,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -186,7 +186,7 @@
 .if !'po4a'hide' .BR GPL "(7), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/security/cert_validators/fake/security_fake_certverify.8 squid-6.3/src/security/cert_validators/fake/security_fake_certverify.8
--- squid-6.2/src/security/cert_validators/fake/security_fake_certverify.8	2023-08-07 07:39:25.000000000 +1200
+++ squid-6.3/src/security/cert_validators/fake/security_fake_certverify.8	2023-09-03 20:37:54.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "SECURITY_FAKE_CERTVERIFY 8"
-.TH SECURITY_FAKE_CERTVERIFY 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH SECURITY_FAKE_CERTVERIFY 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -179,9 +179,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -190,6 +190,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid \s-1FAQ\s0 wiki http://wiki.squid\-cache.org/SquidFaq
+The Squid \s-1FAQ\s0 wiki https://wiki.squid\-cache.org/SquidFaq
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/security/cert_validators/fake/security_fake_certverify.pl.in squid-6.3/src/security/cert_validators/fake/security_fake_certverify.pl.in
--- squid-6.2/src/security/cert_validators/fake/security_fake_certverify.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/security/cert_validators/fake/security_fake_certverify.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -65,9 +65,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -77,7 +77,7 @@
 
 squid (8), GPL (7),
 
-The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
+The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/squid.8.in squid-6.3/src/squid.8.in
--- squid-6.2/src/squid.8.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/squid.8.in	2023-09-03 18:17:45.000000000 +1200
@@ -51,7 +51,7 @@
 This manual page only lists the command line arguments.
 For details on how to configure Squid see the file 
 .BI @SYSCONFDIR@/squid.conf.documented,
-the Squid wiki FAQ and examples at http://wiki.squid-cache.org/ ,
+the Squid wiki FAQ and examples at https://wiki.squid-cache.org/ ,
 or the configuration manual on the Squid home page
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
 .
@@ -269,9 +269,9 @@
 .
 .SH REPORTING BUGS
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
@@ -290,7 +290,7 @@
 .if !'po4a'hide' .B ext_unix_group_acl "(8), "
 .br
 The Squid FAQ wiki
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .br
 The Squid Configuration Manual
 .if !'po4a'hide' http://www.squid-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/store/id_rewriters/file/storeid_file_rewrite.8 squid-6.3/src/store/id_rewriters/file/storeid_file_rewrite.8
--- squid-6.2/src/store/id_rewriters/file/storeid_file_rewrite.8	2023-08-07 07:39:22.000000000 +1200
+++ squid-6.3/src/store/id_rewriters/file/storeid_file_rewrite.8	2023-09-03 20:37:51.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "STOREID_FILE_REWRITE 8"
-.TH STOREID_FILE_REWRITE 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH STOREID_FILE_REWRITE 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -204,9 +204,9 @@
 .SH "REPORTING BUGS"
 .IX Header "REPORTING BUGS"
 Bug reports need to be made in English.
-See http://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid\-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid\-cache.org/
+Report bugs or bug fixes using https://bugs.squid\-cache.org/
 .PP
 Report serious security bugs to \fISquid Bugs <squid\-bugs@lists.squid\-cache.org\fR>
 .PP
@@ -215,6 +215,6 @@
 .IX Header "SEE ALSO"
 squid (8), \s-1GPL\s0 (7),
 .PP
-The Squid wiki http://wiki.squid\-cache.org/Features/StoreID
+The Squid wiki https://wiki.squid\-cache.org/Features/StoreID
 .PP
 The Squid Configuration Manual http://www.squid\-cache.org/Doc/config/
diff -u -r -N squid-6.2/src/store/id_rewriters/file/storeid_file_rewrite.pl.in squid-6.3/src/store/id_rewriters/file/storeid_file_rewrite.pl.in
--- squid-6.2/src/store/id_rewriters/file/storeid_file_rewrite.pl.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/store/id_rewriters/file/storeid_file_rewrite.pl.in	2023-09-03 18:17:45.000000000 +1200
@@ -74,9 +74,9 @@
 =head1 REPORTING BUGS
 
 Bug reports need to be made in English.
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 
 Report serious security bugs to I<Squid Bugs <squid-bugs@lists.squid-cache.org>>
 
@@ -86,7 +86,7 @@
 
 squid (8), GPL (7),
 
-The Squid wiki http://wiki.squid-cache.org/Features/StoreID
+The Squid wiki https://wiki.squid-cache.org/Features/StoreID
 
 The Squid Configuration Manual http://www.squid-cache.org/Doc/config/
 
diff -u -r -N squid-6.2/src/tests/testCacheManager.cc squid-6.3/src/tests/testCacheManager.cc
--- squid-6.2/src/tests/testCacheManager.cc	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/src/tests/testCacheManager.cc	2023-09-03 18:17:45.000000000 +1200
@@ -22,10 +22,38 @@
 class CacheManagerInternals : public CacheManager
 {
 public:
-    void ParseUrl(const AnyP::Uri &u) { CacheManager::ParseUrl(u); }
+    /// checks CacheManager parsing of the given valid URL
+    void testValidUrl(const AnyP::Uri &);
+
+    /// checks CacheManager parsing of the given invalid URL
+    /// \param problem a bad part of the URL or its description
+    void testInvalidUrl(const AnyP::Uri &, const char *problem);
 };
 
-/* init memory pools */
+void
+CacheManagerInternals::testValidUrl(const AnyP::Uri &url)
+{
+    try {
+        (void)ParseUrl(url);
+    } catch (...) {
+        std::cerr << "\nFAIL: " << url <<
+                  Debug::Extra << "error: " << CurrentException << "\n";
+        CPPUNIT_FAIL("rejected a valid URL");
+    }
+}
+
+void
+CacheManagerInternals::testInvalidUrl(const AnyP::Uri &url, const char *const problem)
+{
+    try {
+        (void)ParseUrl(url);
+        std::cerr << "\nFAIL: " << url <<
+                  Debug::Extra << "error: should be rejected due to '" << problem << "'\n";
+    } catch (const TextException &) {
+        return; // success -- the parser signaled bad input
+    }
+    CPPUNIT_FAIL("failed to reject an invalid URL");
+}
 
 void testCacheManager::setUp()
 {
@@ -92,11 +120,6 @@
     mgrUrl.host("localhost");
     mgrUrl.port(3128);
 
-    const std::vector<const char *> magicPrefixes = {
-        "/",
-        "/squid-internal-mgr/"
-    };
-
     const std::vector<const char *> validActions = {
         "",
         "menu"
@@ -157,62 +180,58 @@
         "#fragment"
     };
 
+    const auto &prefix = CacheManager::WellKnownUrlPathPrefix();
+
+    assert(prefix.length());
+    const auto insufficientPrefix = prefix.substr(0, prefix.length()-1);
+
     for (const auto &scheme : validSchemes) {
         mgrUrl.setScheme(scheme);
 
-        for (const auto *magic : magicPrefixes) {
-
-            // all schemes except cache_object require magic path prefix bytes
-            if (scheme != AnyP::PROTO_CACHE_OBJECT && strlen(magic) <= 2)
-                continue;
-
-            /* Check the parser accepts all the valid cases */
-
-            for (const auto *action : validActions) {
-                for (const auto *param : validParams) {
-                    for (const auto *frag : validFragments) {
-                        try {
-                            SBuf bits;
-                            bits.append(magic);
-                            bits.append(action);
-                            bits.append(param);
-                            bits.append(frag);
-                            mgrUrl.path(bits);
-
-                            (void)mgr->ParseUrl(mgrUrl);
-                        } catch (...) {
-                            std::cerr << std::endl
-                                      << "FAIL: " << mgrUrl
-                                      << Debug::Extra << "error: " << CurrentException << std::endl;
-                            CPPUNIT_FAIL("rejected a valid URL");
-                        }
-                    }
+        // Check that the parser rejects URLs that lack the full prefix prefix.
+        // These negative tests log "Squid BUG: assurance failed" ERRORs because
+        // they violate CacheManager::ParseUrl()'s ForSomeCacheManager()
+        // precondition.
+        for (const auto *action : validActions) {
+            for (const auto *param : validParams) {
+                for (const auto *frag : validFragments) {
+                    SBuf bits;
+                    bits.append(insufficientPrefix);
+                    bits.append(action);
+                    bits.append(param);
+                    bits.append(frag);
+                    mgrUrl.path(bits);
+                    mgr->testInvalidUrl(mgrUrl, "insufficient prefix");
                 }
             }
+        }
 
-            /* Check that invalid parameters are rejected */
+        // Check that the parser accepts valid URLs.
+        for (const auto action: validActions) {
+            for (const auto param: validParams) {
+                for (const auto frag: validFragments) {
+                    SBuf bits;
+                    bits.append(prefix);
+                    bits.append(action);
+                    bits.append(param);
+                    bits.append(frag);
+                    mgrUrl.path(bits);
+                    mgr->testValidUrl(mgrUrl);
+                }
+            }
+        }
 
-            for (const auto *action : validActions) {
-                for (const auto *param : invalidParams) {
-                    for (const auto *frag : validFragments) {
-                        try {
-                            SBuf bits;
-                            bits.append(magic);
-                            bits.append(action);
-                            bits.append(param);
-                            bits.append(frag);
-                            mgrUrl.path(bits);
-
-                            (void)mgr->ParseUrl(mgrUrl);
-
-                            std::cerr << std::endl
-                                      << "FAIL: " << mgrUrl
-                                      << Debug::Extra << "error: should be rejected due to '" << param << "'" << std::endl;
-                        } catch (const TextException &e) {
-                            continue; // success. caught bad input
-                        }
-                        CPPUNIT_FAIL("failed to reject an invalid URL");
-                    }
+        // Check that the parser rejects URLs with invalid parameters.
+        for (const auto action: validActions) {
+            for (const auto invalidParam: invalidParams) {
+                for (const auto frag: validFragments) {
+                    SBuf bits;
+                    bits.append(prefix);
+                    bits.append(action);
+                    bits.append(invalidParam);
+                    bits.append(frag);
+                    mgrUrl.path(bits);
+                    mgr->testInvalidUrl(mgrUrl, invalidParam);
                 }
             }
         }
diff -u -r -N squid-6.2/tools/cachemgr.cgi.8 squid-6.3/tools/cachemgr.cgi.8
--- squid-6.2/tools/cachemgr.cgi.8	2023-08-07 07:39:25.000000000 +1200
+++ squid-6.3/tools/cachemgr.cgi.8	2023-09-03 20:37:54.000000000 +1200
@@ -17,7 +17,7 @@
 .SH CONFIGURATION
 Configuration examples for many common web servers can be found in the
 Squid FAQ wiki.
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .PP
 .if !'po4a'hide' .I ./cachemgr.conf
 .br
@@ -66,9 +66,9 @@
 .if !'po4a'hide' <squid-users@lists.squid-cache.org>
 .
 .SH REPORTING BUGS
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
diff -u -r -N squid-6.2/tools/cachemgr.cgi.8.in squid-6.3/tools/cachemgr.cgi.8.in
--- squid-6.2/tools/cachemgr.cgi.8.in	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/tools/cachemgr.cgi.8.in	2023-09-03 18:17:45.000000000 +1200
@@ -17,7 +17,7 @@
 .SH CONFIGURATION
 Configuration examples for many common web servers can be found in the
 Squid FAQ wiki.
-.if !'po4a'hide' http://wiki.squid-cache.org/SquidFaq
+.if !'po4a'hide' https://wiki.squid-cache.org/SquidFaq
 .PP
 .if !'po4a'hide' .I ./cachemgr.conf
 .br
@@ -66,9 +66,9 @@
 .if !'po4a'hide' <squid-users@lists.squid-cache.org>
 .
 .SH REPORTING BUGS
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
diff -u -r -N squid-6.2/tools/helper-mux/helper-mux.8 squid-6.3/tools/helper-mux/helper-mux.8
--- squid-6.2/tools/helper-mux/helper-mux.8	2023-08-07 07:39:26.000000000 +1200
+++ squid-6.3/tools/helper-mux/helper-mux.8	2023-09-03 20:37:54.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "HELPER-MUX 8"
-.TH HELPER-MUX 8 "2023-08-06" "perl v5.36.0" "User Contributed Perl Documentation"
+.TH HELPER-MUX 8 "2023-09-03" "perl v5.36.0" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-6.2/tools/purge/purge.1 squid-6.3/tools/purge/purge.1
--- squid-6.2/tools/purge/purge.1	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/tools/purge/purge.1	2023-09-03 18:17:45.000000000 +1200
@@ -272,9 +272,9 @@
 .if !'po4a'hide' <squid-users@lists.squid-cache.org>
 .
 .SH REPORTING BUGS
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
diff -u -r -N squid-6.2/tools/squidclient/squidclient.1 squid-6.3/tools/squidclient/squidclient.1
--- squid-6.2/tools/squidclient/squidclient.1	2023-08-07 05:11:38.000000000 +1200
+++ squid-6.3/tools/squidclient/squidclient.1	2023-09-03 18:17:45.000000000 +1200
@@ -248,9 +248,9 @@
 .if !'po4a'hide' <squid-users@lists.squid-cache.org>
 .
 .SH REPORTING BUGS
-See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
+See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.
 .PP
-Report bugs or bug fixes using http://bugs.squid-cache.org/
+Report bugs or bug fixes using https://bugs.squid-cache.org/
 .PP
 Report serious security bugs to
 .I Squid Bugs <squid-bugs@lists.squid-cache.org>
